Skip to main content
POST
Create Customer

Authorizations

Authorization
string
header
default:{{APIKey}}
required

Body

application/json
type
enum<string>
default:individual
required

This is the customer type.

Available options:
individual,
company
Example:

"individual"

name
string
required

The customer's full name.

Example:

"Jane Smith"

phoneNumber
string
required

Customer's mobile phone number in international format.

Example:

"+2348012345678"

status
enum<string>
default:active
required

This is the initial status of the customer.

Available options:
active,
inactive
Example:

"active"

billingAddress
object
required

This is the billing address

emailAddress
string

Customer's email address.

Example:

"jane.smith@example.com"

individual
object

Individual details. Required if customer type is individual.

Example:
company
object

Company details. Required if customer type is company.

Response

Customer created successfully.

statusCode
integer

Status code of the response. 200 indicates a successful request.

message
string

Human-readable description of the result.

data
object

Response payload.